Subject: bug#2151: 23.0.90; Building the 23.0.90 pretest recompiles Lisp files

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Feb 2009 06:25:48 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 03 Feb 2009 16:24:54 -0500
> 
> >> Getting make to understand the nature of the dependencies here is pretty
> >> tricky, so you can get it to work right for the tarball or you can get
> >> it to work right for the "cvs update" case, but it's pretty painful
> >> to get it to work right in both cases.
> 
> > I think it shouldn't be too hard, and the ideas you suggested further
> > in your mail are my evidence.
> 
> Have you tried it?  It seems to work OK for the "checkout from CVS"
> case, so maybe it's a good solution.

Which one? you suggested more than one, I think.

> > I don't think we need a bootstrap-emacs in a released version at all.
> > We could add some file to the tarball, generated at make-dist time, to
> > signal that bootstrap-emacs is not needed.  That file could actually
> > be named `bootstrap-emacs', which should resolve the problem nicely
> > (assuming we manage to have it older than the oldest .elc file).
> 
> Maybe we can get that to work, but it sounds terribly hackish.

Why hackish? many distributions have or create such time-stamp files,
for Make's sake.

> Also, I'd like to make sure that if some wants to change some .el files
> and then recompile, it still works correctly.

It will, I think, because we can copy emacs to bootstrap-emacs at the
end of the build.

I will give this a try when I have time.